Extending Qt Creator Manual | MetaFunction

Extending Qt Creator Manual 4.5.2

# MetaFunction Class

(QmlJS::MetaFunction)

Inherits: | QmlJS::FunctionValue

- List of all members, including inherited members

## Public Functions

| MetaFunction(const LanguageUtils::FakeMetaMethod &method, ValueOwner *valueOwner)
const LanguageUtils::FakeMetaMethod & | fakeMetaMethod() const

## Reimplemented Public Functions

virtual QString | argumentName(int index) const override
virtual const MetaFunction * | asMetaFunction() const override
virtual bool | isVariadic() const override
virtual int | namedArgumentCount() const override

- 8 public functions inherited from QmlJS::FunctionValue
- 16 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### MetaFunction::MetaFunction(const LanguageUtils::FakeMetaMethod &method, ValueOwner *valueOwner)

Default constructs an instance of MetaFunction.

### `[override virtual]` QString MetaFunction::argumentName(int index) const

### `[override virtual]` const MetaFunction *MetaFunction::asMetaFunction() const

### const LanguageUtils::FakeMetaMethod &MetaFunction::fakeMetaMethod() const

### `[override virtual]` bool MetaFunction::isVariadic() const

### `[override virtual]` int MetaFunction::namedArgumentCount() const